/*     */ package com.jaspersoft.jasperserver.irplugin.gui.jrxmlvalidator;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryReportUnit;
/*     */ import it.businesslogic.ireport.JRProperty;
/*     */ import it.businesslogic.ireport.Report;
/*     */ import it.businesslogic.ireport.SubDataset;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.EventQueue;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.io.File;
/*     */ import java.text.DecimalFormat;
/*     */ import java.text.NumberFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import java.util.Vector;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.event.TableModelEvent;
/*     */ import javax.swing.event.TableModelListener;
/*     */ import javax.swing.table.DefaultTableModel;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.table.TableColumnModel;
/*     */ import javax.swing.table.TableModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JrxmlValidationDialog
/*     */   extends JDialog
/*     */ {
/*  53 */   private JServer server = null;
/*  54 */   private RepositoryReportUnit reportUnit = null;
/*  55 */   private List imageElementVelidationItems = null;
/*  56 */   private Report report = null;
/*     */   
/*  58 */   private int dialogResult = 2;
/*     */   private JButton jButtonCancel;
/*     */   
/*     */   public JrxmlValidationDialog(Frame parent, boolean modal) {
/*  62 */     super(parent, modal);
/*  63 */     initComponents();
/*     */     
/*     */ 
/*  66 */     TableColumn dtcm = this.jTable1.getColumnModel().getColumn(0);
/*  67 */     dtcm.setMinWidth(22);
/*  68 */     dtcm.setMaxWidth(22);
/*  69 */     dtcm.setPreferredWidth(20);
/*  70 */     dtcm.setResizable(false);
/*  71 */     this.jTable1.getModel().addTableModelListener(new TableModelListener() {
/*     */       public void tableChanged(TableModelEvent e) {
/*  73 */         JrxmlValidationDialog.this.updateContinue();
/*     */       }
/*     */       
/*  76 */     });
/*  77 */     dtcm = this.jTable1.getColumnModel().getColumn(1);
/*  78 */     dtcm.setMinWidth(100);
/*  79 */     dtcm.setPreferredWidth(100);
/*  80 */     dtcm.setCellRenderer(new AlignedTableCellRenderer(2, new ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/picture.png"))));
/*     */     
/*  82 */     dtcm = this.jTable1.getColumnModel().getColumn(2);
/*  83 */     dtcm.setMinWidth(100);
/*  84 */     dtcm.setPreferredWidth(300);
/*     */     
/*  86 */     dtcm = this.jTable1.getColumnModel().getColumn(3);
/*  87 */     dtcm.setMinWidth(100);
/*  88 */     dtcm.setPreferredWidth(300);
/*     */     
/*     */ 
/*  91 */     dtcm = this.jTable1.getColumnModel().getColumn(4);
/*  92 */     dtcm.setMinWidth(50);
/*  93 */     dtcm.setMaxWidth(100);
/*  94 */     dtcm.setPreferredWidth(80);
/*  95 */     dtcm.setCellRenderer(new AlignedTableCellRenderer(4));
/*     */     
/*  97 */     applyI18n();
/*  98 */     pack();
/*  99 */     Misc.centerFrame(this);
/*     */   }
/*     */   
/*     */   private JButton jButtonDeselectAll;
/*     */   private JButton jButtonOk;
/*     */   public void applyI18n() {
/* 105 */     this.jButtonCancel.setText(IRPlugin.getString("jrxmlValidationDialog.buttonCancel", "Cancel"));
/* 106 */     this.jButtonDeselectAll.setText(IRPlugin.getString("jrxmlValidationDialog.buttonDeselectAll", "Deselect all"));
/* 107 */     this.jButtonOk.setText(IRPlugin.getString("jrxmlValidationDialog.buttonOk", "Continue"));
/* 108 */     this.jButtonSelectAll.setText(IRPlugin.getString("jrxmlValidationDialog.buttonSelectAll", "Select all"));
/* 109 */     this.jButtonSkip.setText(IRPlugin.getString("jrxmlValidationDialog.buttonSkip", "Skip this step"));
/* 110 */     this.jCheckBoxDoNotShowAgain.setText(IRPlugin.getString("jrxmlValidationDialog.checkDoNotShowAgain", "Do not show this window again"));
/*     */     
/* 112 */     this.jLabel1.setText(IRPlugin.getString("jrxmlValidationDialog.message", "<html>JasperServer Plugin has detected some locally referenced images in your report.<br>\nYou can choose to attach these images to the Report Unit importing them into the repository and replace the relative image expressions with an url like \"repo:myImage.jpg\".<br><b>Please check the images you want attach to this Report Unit</b>.</html>"));
/*     */     
/*     */ 
/*     */ 
/*     */     try
/*     */     {
/* 118 */       this.jTable1.getColumn("Image").setHeaderValue(IRPlugin.getString("jrxmlValidationDialog.table.image", "Image"));
/* 119 */       this.jTable1.getColumn("Local file").setHeaderValue(IRPlugin.getString("jrxmlValidationDialog.table.localFile", "Local file"));
/* 120 */       this.jTable1.getColumn("Proposed exp").setHeaderValue(IRPlugin.getString("jrxmlValidationDialog.table.proposedExpression", "Proposed exp"));
/* 121 */       this.jTable1.getColumn("File size").setHeaderValue(IRPlugin.getString("jrxmlValidationDialog.table.fileSize", "File size"));
/*     */     } catch (Exception ex) {}
/* 123 */     this.jTable1.updateUI();
/*     */   }
/*     */   
/*     */   public void updateContinue()
/*     */   {
/* 128 */     DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/* 129 */     for (int i = 0; i < dtm.getRowCount(); i++)
/*     */     {
/* 131 */       if (((Boolean)this.jTable1.getValueAt(i, 0)).booleanValue())
/*     */       {
/* 133 */         this.jButtonOk.setEnabled(true);
/* 134 */         return;
/*     */       }
/*     */     }
/* 137 */     this.jButtonOk.setEnabled(false);
/*     */   }
/*     */   
/*     */   public void setImageElementVelidationItems(List items)
/*     */   {
/* 142 */     DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/* 143 */     dtm.setRowCount(0);
/*     */     
/* 145 */     NumberFormat formatter = new DecimalFormat("#,##0");
/* 146 */     for (int i = 0; i < items.size(); i++)
/*     */     {
/* 148 */       ImageElementValidationItem iev = (ImageElementValidationItem)items.get(i);
/* 149 */       String filesize = "";
/* 150 */       if (iev.getOriginalFileName().length() < 1024L)
/*     */       {
/* 152 */         filesize = formatter.format(iev.getOriginalFileName().length()) + " bytes";
/*     */       }
/*     */       else
/*     */       {
/* 156 */         filesize = formatter.format(iev.getOriginalFileName().length() / 1024L) + " KB";
/*     */       }
/*     */       
/* 159 */       dtm.addRow(new Object[] { Boolean.TRUE, iev, iev.getOriginalFileName() + "", iev.getProposedExpression(), filesize });
/*     */     }
/* 161 */     this.imageElementVelidationItems = items;
/*     */   }
/*     */   
/*     */   public List getImageElementVelidationItems() {
/* 165 */     return this.imageElementVelidationItems;
/*     */   }
/*     */   
/*     */   private JButton jButtonSelectAll;
/*     */   private JButton jButtonSkip;
/*     */   private JCheckBox jCheckBoxDoNotShowAgain;
/*     */   private JLabel jLabel1;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private JScrollPane jScrollPane2;
/*     */   private JSeparator jSeparator1;
/*     */   private JTable jTable1;
/*     */   private void initComponents() {
/* 178 */     this.jLabel1 = new JLabel();
/* 179 */     this.jScrollPane2 = new JScrollPane();
/* 180 */     this.jTable1 = new JTable();
/* 181 */     this.jPanel1 = new JPanel();
/* 182 */     this.jButtonSelectAll = new JButton();
/* 183 */     this.jButtonDeselectAll = new JButton();
/* 184 */     this.jSeparator1 = new JSeparator();
/* 185 */     this.jPanel2 = new JPanel();
/* 186 */     this.jCheckBoxDoNotShowAgain = new JCheckBox();
/* 187 */     this.jButtonOk = new JButton();
/* 188 */     this.jButtonSkip = new JButton();
/* 189 */     this.jButtonCancel = new JButton();
/*     */     
/* 191 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 193 */     setDefaultCloseOperation(2);
/* 194 */     setTitle("JRXML validation");
/* 195 */     setModal(true);
/* 196 */     this.jLabel1.setText("<html>JasperServer Plugin has detected some locally referenced images in your report.<br>\nYou can choose to attach these images to the Report Unit importing them into the repository and replace the relative image expressions with an url like \"repo:myImage.jpg\".<br>\n<b>Please check the images you want attach to this Report Unit</b>.</html>");
/* 197 */     this.jLabel1.setMinimumSize(new Dimension(64, 60));
/* 198 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 199 */     gridBagConstraints.fill = 1;
/* 200 */     gridBagConstraints.weightx = 1.0D;
/* 201 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 202 */     getContentPane().add(this.jLabel1, gridBagConstraints);
/*     */     
/* 204 */     this.jScrollPane2.setPreferredSize(new Dimension(452, 200));
/* 205 */     this.jTable1.setModel(new DefaultTableModel(new Object[0][], new String[] { " ", "Image", "Local file", "Proposed exp", "File size" })
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 213 */       Class[] types = { Boolean.class, String.class, String.class, String.class, String.class };
/*     */       
/*     */ 
/* 216 */       boolean[] canEdit = { true, false, false, false, false };
/*     */       
/*     */ 
/*     */       public Class getColumnClass(int columnIndex)
/*     */       {
/* 221 */         return this.types[columnIndex];
/*     */       }
/*     */       
/*     */       public boolean isCellEditable(int rowIndex, int columnIndex) {
/* 225 */         return this.canEdit[columnIndex];
/*     */       }
/* 227 */     });
/* 228 */     this.jScrollPane2.setViewportView(this.jTable1);
/*     */     
/* 230 */     gridBagConstraints = new GridBagConstraints();
/* 231 */     gridBagConstraints.gridx = 0;
/* 232 */     gridBagConstraints.fill = 1;
/* 233 */     gridBagConstraints.weightx = 1.0D;
/* 234 */     gridBagConstraints.weighty = 1.0D;
/* 235 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 236 */     getContentPane().add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 238 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 240 */     this.jButtonSelectAll.setMnemonic('a');
/* 241 */     this.jButtonSelectAll.setText("Select all");
/* 242 */     this.jButtonSelectAll.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 244 */         JrxmlValidationDialog.this.jButtonSelectAllActionPerformed(evt);
/*     */       }
/*     */       
/* 247 */     });
/* 248 */     this.jPanel1.add(this.jButtonSelectAll, new GridBagConstraints());
/*     */     
/* 250 */     this.jButtonDeselectAll.setMnemonic('d');
/* 251 */     this.jButtonDeselectAll.setText("Deselect all");
/* 252 */     this.jButtonDeselectAll.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 254 */         JrxmlValidationDialog.this.jButtonDeselectAllActionPerformed(evt);
/*     */       }
/*     */       
/* 257 */     });
/* 258 */     this.jPanel1.add(this.jButtonDeselectAll, new GridBagConstraints());
/*     */     
/* 260 */     gridBagConstraints = new GridBagConstraints();
/* 261 */     gridBagConstraints.gridx = 0;
/* 262 */     gridBagConstraints.anchor = 18;
/* 263 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 264 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 266 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 267 */     gridBagConstraints = new GridBagConstraints();
/* 268 */     gridBagConstraints.gridx = 0;
/* 269 */     gridBagConstraints.fill = 2;
/* 270 */     gridBagConstraints.insets = new Insets(4, 0, 4, 0);
/* 271 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 273 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 275 */     this.jCheckBoxDoNotShowAgain.setMnemonic('n');
/* 276 */     this.jCheckBoxDoNotShowAgain.setText("Do not show this window again for this report");
/* 277 */     this.jCheckBoxDoNotShowAgain.setActionCommand("Do not show this window again");
/* 278 */     this.jCheckBoxDoNotShowAgain.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 279 */     this.jCheckBoxDoNotShowAgain.setMargin(new Insets(0, 0, 0, 0));
/* 280 */     this.jCheckBoxDoNotShowAgain.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 282 */         JrxmlValidationDialog.this.jCheckBoxDoNotShowAgainActionPerformed(evt);
/*     */       }
/*     */       
/* 285 */     });
/* 286 */     gridBagConstraints = new GridBagConstraints();
/* 287 */     gridBagConstraints.gridx = 0;
/* 288 */     gridBagConstraints.fill = 2;
/* 289 */     gridBagConstraints.weightx = 1.0D;
/* 290 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 291 */     this.jPanel2.add(this.jCheckBoxDoNotShowAgain, gridBagConstraints);
/*     */     
/* 293 */     this.jButtonOk.setMnemonic('O');
/* 294 */     this.jButtonOk.setText("Continue");
/* 295 */     this.jButtonOk.setEnabled(false);
/* 296 */     this.jButtonOk.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 298 */         JrxmlValidationDialog.this.jButtonOkActionPerformed(evt);
/*     */       }
/*     */       
/* 301 */     });
/* 302 */     gridBagConstraints = new GridBagConstraints();
/* 303 */     gridBagConstraints.insets = new Insets(0, 0, 4, 4);
/* 304 */     this.jPanel2.add(this.jButtonOk, gridBagConstraints);
/*     */     
/* 306 */     this.jButtonSkip.setMnemonic('O');
/* 307 */     this.jButtonSkip.setText("Skip this step");
/* 308 */     this.jButtonSkip.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 310 */         JrxmlValidationDialog.this.jButtonOkActionPerformed1(evt);
/*     */       }
/*     */       
/* 313 */     });
/* 314 */     gridBagConstraints = new GridBagConstraints();
/* 315 */     gridBagConstraints.insets = new Insets(0, 0, 4, 4);
/* 316 */     this.jPanel2.add(this.jButtonSkip, gridBagConstraints);
/*     */     
/* 318 */     this.jButtonCancel.setMnemonic('C');
/* 319 */     this.jButtonCancel.setText("Cancel");
/* 320 */     this.jButtonCancel.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 322 */         JrxmlValidationDialog.this.jButtonCancelActionPerformed(evt);
/*     */       }
/*     */       
/* 325 */     });
/* 326 */     gridBagConstraints = new GridBagConstraints();
/* 327 */     gridBagConstraints.insets = new Insets(0, 0, 4, 4);
/* 328 */     this.jPanel2.add(this.jButtonCancel, gridBagConstraints);
/*     */     
/* 330 */     gridBagConstraints = new GridBagConstraints();
/* 331 */     gridBagConstraints.gridx = 0;
/* 332 */     gridBagConstraints.fill = 2;
/* 333 */     gridBagConstraints.weightx = 1.0D;
/* 334 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 336 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonOkActionPerformed1(ActionEvent evt)
/*     */   {
/* 341 */     setDialogResult(0);
/* 342 */     setVisible(false);
/* 343 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonCancelActionPerformed(ActionEvent evt)
/*     */   {
/* 349 */     setDialogResult(2);
/* 350 */     setVisible(false);
/* 351 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonOkActionPerformed(ActionEvent evt)
/*     */   {
/* 357 */     DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/*     */     
/* 359 */     List selectedItems = new ArrayList();
/* 360 */     for (int i = 0; i < dtm.getRowCount(); i++)
/*     */     {
/* 362 */       if (((Boolean)this.jTable1.getValueAt(i, 0)).booleanValue())
/*     */       {
/* 364 */         selectedItems.add(this.jTable1.getValueAt(i, 1));
/*     */       }
/*     */     }
/*     */     
/* 368 */     if (selectedItems.size() > 0)
/*     */     {
/*     */ 
/* 371 */       UploadResourcesDialog urd = new UploadResourcesDialog(MainFrame.getMainInstance(), true);
/* 372 */       urd.setResourceItems(selectedItems);
/* 373 */       urd.setValidationDialog(this);
/* 374 */       urd.setVisible(true);
/*     */       
/* 376 */       return;
/*     */     }
/*     */     
/* 379 */     elaborationFinished(true);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void elaborationFinished(boolean result)
/*     */   {
/* 388 */     this.dialogResult = (result ? 0 : 2);
/* 389 */     setVisible(false);
/* 390 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jCheckBoxDoNotShowAgainActionPerformed(ActionEvent evt)
/*     */   {
/* 396 */     if (getReport() != null)
/*     */     {
/* 398 */       boolean found = false;
/* 399 */       for (int i = 0; i < getReport().getJRproperties().size(); i++)
/*     */       {
/* 401 */         JRProperty prop = (JRProperty)getReport().getJRproperties().get(i);
/* 402 */         if ((prop.getName() != null) && (prop.getName().equals("com.jaspersoft.irplugin.validation")))
/*     */         {
/* 404 */           prop.setValue("0");
/* 405 */           found = true;
/*     */         }
/*     */       }
/*     */       
/* 409 */       if (!found)
/*     */       {
/* 411 */         JRProperty prop = new JRProperty();
/* 412 */         prop.setName("com.jaspersoft.irplugin.validation");
/* 413 */         prop.setValue("0");
/* 414 */         getReport().getJRproperties().add(prop);
/*     */       }
/*     */       
/* 417 */       getReport().saveXMLFile();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jButtonDeselectAllActionPerformed(ActionEvent evt)
/*     */   {
/* 423 */     DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/* 424 */     for (int i = 0; i < dtm.getRowCount(); i++)
/*     */     {
/* 426 */       this.jTable1.setValueAt(Boolean.FALSE, i, 0);
/*     */     }
/*     */     
/* 429 */     this.jTable1.updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSelectAllActionPerformed(ActionEvent evt)
/*     */   {
/* 435 */     DefaultTableModel dtm = (DefaultTableModel)this.jTable1.getModel();
/* 436 */     for (int i = 0; i < dtm.getRowCount(); i++)
/*     */     {
/* 438 */       this.jTable1.setValueAt(Boolean.TRUE, i, 0);
/*     */     }
/*     */     
/* 441 */     this.jTable1.updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public static void main(String[] args)
/*     */   {
/* 449 */     EventQueue.invokeLater(new Runnable() {
/*     */       public void run() {
/* 451 */         new JrxmlValidationDialog(new JFrame(), true).setVisible(true);
/*     */       }
/*     */     });
/*     */   }
/*     */   
/*     */   public JServer getServer() {
/* 457 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 461 */     this.server = server;
/*     */   }
/*     */   
/*     */   public RepositoryReportUnit getReportUnit() {
/* 465 */     return this.reportUnit;
/*     */   }
/*     */   
/*     */   public void setReportUnit(RepositoryReportUnit reportUnit) {
/* 469 */     this.reportUnit = reportUnit;
/*     */   }
/*     */   
/*     */   public Report getReport() {
/* 473 */     return this.report;
/*     */   }
/*     */   
/*     */   public void setReport(Report report) {
/* 477 */     this.report = report;
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 481 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 485 */     this.dialogResult = dialogResult;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\jrxmlvalidator\JrxmlValidationDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */