/*     */ package com.jaspersoft.jasperserver.irplugin.wsclient;
/*     */ 
/*     */ import java.net.URL;
/*     */ import java.rmi.RemoteException;
/*     */ import java.util.Enumeration;
/*     */ import java.util.Hashtable;
/*     */ import java.util.Vector;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.AxisFault;
/*     */ import org.apache.axis.client.Call;
/*     */ import org.apache.axis.client.Stub;
/*     */ import org.apache.axis.constants.Style;
/*     */ import org.apache.axis.constants.Use;
/*     */ import org.apache.axis.description.OperationDesc;
/*     */ import org.apache.axis.description.ParameterDesc;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class RepositorySoapBindingStub
/*     */   extends Stub
/*     */   implements ManagementService
/*     */ {
/*  35 */   private Vector cachedSerClasses = new Vector();
/*  36 */   private Vector cachedSerQNames = new Vector();
/*  37 */   private Vector cachedSerFactories = new Vector();
/*  38 */   private Vector cachedDeserFactories = new Vector();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  43 */   static OperationDesc[] _operations = new OperationDesc[5];
/*  44 */   static { _initOperationDesc1(); }
/*     */   
/*     */ 
/*     */ 
/*     */   private static void _initOperationDesc1()
/*     */   {
/*  50 */     OperationDesc oper = new OperationDesc();
/*  51 */     oper.setName("runReport");
/*  52 */     ParameterDesc param = new ParameterDesc(new QName("", "requestXmlString"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/*  53 */     oper.addParameter(param);
/*  54 */     oper.setReturnType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  55 */     oper.setReturnClass(String.class);
/*  56 */     oper.setReturnQName(new QName("", "runReportReturn"));
/*  57 */     oper.setStyle(Style.RPC);
/*  58 */     oper.setUse(Use.ENCODED);
/*  59 */     _operations[0] = oper;
/*     */     
/*  61 */     oper = new OperationDesc();
/*  62 */     oper.setName("put");
/*  63 */     param = new ParameterDesc(new QName("", "requestXmlString"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/*  64 */     oper.addParameter(param);
/*  65 */     oper.setReturnType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  66 */     oper.setReturnClass(String.class);
/*  67 */     oper.setReturnQName(new QName("", "putReturn"));
/*  68 */     oper.setStyle(Style.RPC);
/*  69 */     oper.setUse(Use.ENCODED);
/*  70 */     _operations[1] = oper;
/*     */     
/*  72 */     oper = new OperationDesc();
/*  73 */     oper.setName("get");
/*  74 */     param = new ParameterDesc(new QName("", "requestXmlString"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/*  75 */     oper.addParameter(param);
/*  76 */     oper.setReturnType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  77 */     oper.setReturnClass(String.class);
/*  78 */     oper.setReturnQName(new QName("", "getReturn"));
/*  79 */     oper.setStyle(Style.RPC);
/*  80 */     oper.setUse(Use.ENCODED);
/*  81 */     _operations[2] = oper;
/*     */     
/*  83 */     oper = new OperationDesc();
/*  84 */     oper.setName("list");
/*  85 */     param = new ParameterDesc(new QName("", "requestXmlString"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/*  86 */     oper.addParameter(param);
/*  87 */     oper.setReturnType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  88 */     oper.setReturnClass(String.class);
/*  89 */     oper.setReturnQName(new QName("", "listReturn"));
/*  90 */     oper.setStyle(Style.RPC);
/*  91 */     oper.setUse(Use.ENCODED);
/*  92 */     _operations[3] = oper;
/*     */     
/*  94 */     oper = new OperationDesc();
/*  95 */     oper.setName("delete");
/*  96 */     param = new ParameterDesc(new QName("", "requestXmlString"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/*  97 */     oper.addParameter(param);
/*  98 */     oper.setReturnType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/*  99 */     oper.setReturnClass(String.class);
/* 100 */     oper.setReturnQName(new QName("", "deleteReturn"));
/* 101 */     oper.setStyle(Style.RPC);
/* 102 */     oper.setUse(Use.ENCODED);
/* 103 */     _operations[4] = oper;
/*     */   }
/*     */   
/*     */   public RepositorySoapBindingStub() throws AxisFault
/*     */   {
/* 108 */     this(null);
/*     */   }
/*     */   
/*     */   public RepositorySoapBindingStub(URL endpointURL, javax.xml.rpc.Service service) throws AxisFault {
/* 112 */     this(service);
/* 113 */     this.cachedEndpoint = endpointURL;
/*     */   }
/*     */   
/*     */   public RepositorySoapBindingStub(javax.xml.rpc.Service service) throws AxisFault {
/* 117 */     if (service == null) {
/* 118 */       this.service = new org.apache.axis.client.Service();
/*     */     } else {
/* 120 */       this.service = service;
/*     */     }
/* 122 */     ((org.apache.axis.client.Service)this.service).setTypeMappingVersion("1.2");
/*     */   }
/*     */   
/*     */   protected Call createCall() throws RemoteException {
/*     */     try {
/* 127 */       Call _call = super._createCall();
/* 128 */       if (this.maintainSessionSet) {
/* 129 */         _call.setMaintainSession(this.maintainSession);
/*     */       }
/* 131 */       if (this.cachedUsername != null) {
/* 132 */         _call.setUsername(this.cachedUsername);
/*     */       }
/* 134 */       if (this.cachedPassword != null) {
/* 135 */         _call.setPassword(this.cachedPassword);
/*     */       }
/* 137 */       if (this.cachedEndpoint != null) {
/* 138 */         _call.setTargetEndpointAddress(this.cachedEndpoint);
/*     */       }
/* 140 */       if (this.cachedTimeout != null) {
/* 141 */         _call.setTimeout(this.cachedTimeout);
/*     */       }
/* 143 */       if (this.cachedPortName != null) {
/* 144 */         _call.setPortName(this.cachedPortName);
/*     */       }
/* 146 */       Enumeration keys = this.cachedProperties.keys();
/* 147 */       while (keys.hasMoreElements()) {
/* 148 */         String key = (String)keys.nextElement();
/* 149 */         _call.setProperty(key, this.cachedProperties.get(key));
/*     */       }
/* 151 */       return _call;
/*     */     }
/*     */     catch (Throwable _t) {
/* 154 */       throw new AxisFault("Failure trying to get the Call object", _t);
/*     */     }
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public String runReport(String requestXmlString)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 40	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 77	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 78	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 79	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 30	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_0
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 80	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 81	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 82	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 83	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 84	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 85
/*     */     //   54: ldc 8
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 86	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 87	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 88	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 89	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 90	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 91
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 91	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 92	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 70	java/lang/String
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 18
/*     */     //   118: invokestatic 19	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   131: invokestatic 94	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 70	java/lang/String
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #159	-> byte code offset #0
/*     */     //   Java source line #160	-> byte code offset #7
/*     */     //   Java source line #162	-> byte code offset #15
/*     */     //   Java source line #163	-> byte code offset #20
/*     */     //   Java source line #164	-> byte code offset #29
/*     */     //   Java source line #165	-> byte code offset #34
/*     */     //   Java source line #166	-> byte code offset #40
/*     */     //   Java source line #167	-> byte code offset #47
/*     */     //   Java source line #169	-> byte code offset #62
/*     */     //   Java source line #170	-> byte code offset #67
/*     */     //   Java source line #171	-> byte code offset #72
/*     */     //   Java source line #173	-> byte code offset #85
/*     */     //   Java source line #174	-> byte code offset #92
/*     */     //   Java source line #177	-> byte code offset #97
/*     */     //   Java source line #179	-> byte code offset #102
/*     */     //   Java source line #180	-> byte code offset #107
/*     */     //   Java source line #181	-> byte code offset #109
/*     */     //   Java source line #184	-> byte code offset #138
/*     */     //   Java source line #185	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	RepositorySoapBindingStub
/*     */     //   0	141	1	requestXmlString	String
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public String put(String requestXmlString)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 40	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 77	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 78	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 79	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 30	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_1
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 80	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 81	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 82	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 83	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 84	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 85
/*     */     //   54: ldc 31
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 86	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 87	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 88	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 89	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 90	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 91
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 91	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 92	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 70	java/lang/String
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 18
/*     */     //   118: invokestatic 19	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   131: invokestatic 94	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 70	java/lang/String
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #190	-> byte code offset #0
/*     */     //   Java source line #191	-> byte code offset #7
/*     */     //   Java source line #193	-> byte code offset #15
/*     */     //   Java source line #194	-> byte code offset #20
/*     */     //   Java source line #195	-> byte code offset #29
/*     */     //   Java source line #196	-> byte code offset #34
/*     */     //   Java source line #197	-> byte code offset #40
/*     */     //   Java source line #198	-> byte code offset #47
/*     */     //   Java source line #200	-> byte code offset #62
/*     */     //   Java source line #201	-> byte code offset #67
/*     */     //   Java source line #202	-> byte code offset #72
/*     */     //   Java source line #204	-> byte code offset #85
/*     */     //   Java source line #205	-> byte code offset #92
/*     */     //   Java source line #208	-> byte code offset #97
/*     */     //   Java source line #210	-> byte code offset #102
/*     */     //   Java source line #211	-> byte code offset #107
/*     */     //   Java source line #212	-> byte code offset #109
/*     */     //   Java source line #215	-> byte code offset #138
/*     */     //   Java source line #216	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	RepositorySoapBindingStub
/*     */     //   0	141	1	requestXmlString	String
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public String get(String requestXmlString)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 40	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 77	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 78	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 79	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 30	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_2
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 80	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 81	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 82	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 83	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 84	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 85
/*     */     //   54: ldc 33
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 86	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 87	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 88	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 89	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 90	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 91
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 91	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 92	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 70	java/lang/String
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 18
/*     */     //   118: invokestatic 19	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   131: invokestatic 94	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 70	java/lang/String
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #221	-> byte code offset #0
/*     */     //   Java source line #222	-> byte code offset #7
/*     */     //   Java source line #224	-> byte code offset #15
/*     */     //   Java source line #225	-> byte code offset #20
/*     */     //   Java source line #226	-> byte code offset #29
/*     */     //   Java source line #227	-> byte code offset #34
/*     */     //   Java source line #228	-> byte code offset #40
/*     */     //   Java source line #229	-> byte code offset #47
/*     */     //   Java source line #231	-> byte code offset #62
/*     */     //   Java source line #232	-> byte code offset #67
/*     */     //   Java source line #233	-> byte code offset #72
/*     */     //   Java source line #235	-> byte code offset #85
/*     */     //   Java source line #236	-> byte code offset #92
/*     */     //   Java source line #239	-> byte code offset #97
/*     */     //   Java source line #241	-> byte code offset #102
/*     */     //   Java source line #242	-> byte code offset #107
/*     */     //   Java source line #243	-> byte code offset #109
/*     */     //   Java source line #246	-> byte code offset #138
/*     */     //   Java source line #247	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	RepositorySoapBindingStub
/*     */     //   0	141	1	requestXmlString	String
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public String list(String requestXmlString)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 40	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 77	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 78	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 79	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 30	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_3
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 80	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 81	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 82	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 83	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 84	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 85
/*     */     //   54: ldc 35
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 86	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 87	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 88	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 89	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 90	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 91
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 91	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 92	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 70	java/lang/String
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 18
/*     */     //   118: invokestatic 19	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   131: invokestatic 94	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 70	java/lang/String
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #252	-> byte code offset #0
/*     */     //   Java source line #253	-> byte code offset #7
/*     */     //   Java source line #257	-> byte code offset #15
/*     */     //   Java source line #258	-> byte code offset #20
/*     */     //   Java source line #259	-> byte code offset #29
/*     */     //   Java source line #260	-> byte code offset #34
/*     */     //   Java source line #261	-> byte code offset #40
/*     */     //   Java source line #262	-> byte code offset #47
/*     */     //   Java source line #264	-> byte code offset #62
/*     */     //   Java source line #265	-> byte code offset #67
/*     */     //   Java source line #271	-> byte code offset #72
/*     */     //   Java source line #275	-> byte code offset #85
/*     */     //   Java source line #276	-> byte code offset #92
/*     */     //   Java source line #279	-> byte code offset #97
/*     */     //   Java source line #281	-> byte code offset #102
/*     */     //   Java source line #282	-> byte code offset #107
/*     */     //   Java source line #283	-> byte code offset #109
/*     */     //   Java source line #286	-> byte code offset #138
/*     */     //   Java source line #287	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	RepositorySoapBindingStub
/*     */     //   0	141	1	requestXmlString	String
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public String delete(String requestXmlString)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 40	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 77	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 78	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 79	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 30	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_4
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 80	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 81	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 82	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 83	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 84	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 85
/*     */     //   54: ldc 37
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 86	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 87	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 88	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 89	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 90	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 91
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 91	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 92	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 70	java/lang/String
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 18
/*     */     //   118: invokestatic 19	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 17	com/jaspersoft/jasperserver/irplugin/wsclient/RepositorySoapBindingStub:class$java$lang$String	Ljava/lang/Class;
/*     */     //   131: invokestatic 94	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 70	java/lang/String
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #292	-> byte code offset #0
/*     */     //   Java source line #293	-> byte code offset #7
/*     */     //   Java source line #295	-> byte code offset #15
/*     */     //   Java source line #296	-> byte code offset #20
/*     */     //   Java source line #297	-> byte code offset #29
/*     */     //   Java source line #298	-> byte code offset #34
/*     */     //   Java source line #299	-> byte code offset #40
/*     */     //   Java source line #300	-> byte code offset #47
/*     */     //   Java source line #302	-> byte code offset #62
/*     */     //   Java source line #303	-> byte code offset #67
/*     */     //   Java source line #304	-> byte code offset #72
/*     */     //   Java source line #306	-> byte code offset #85
/*     */     //   Java source line #307	-> byte code offset #92
/*     */     //   Java source line #310	-> byte code offset #97
/*     */     //   Java source line #312	-> byte code offset #102
/*     */     //   Java source line #313	-> byte code offset #107
/*     */     //   Java source line #314	-> byte code offset #109
/*     */     //   Java source line #317	-> byte code offset #138
/*     */     //   Java source line #318	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	RepositorySoapBindingStub
/*     */     //   0	141	1	requestXmlString	String
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\wsclient\RepositorySoapBindingStub.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */