/*     */ package com.jaspersoft.jasperserver.ws.authority;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WSUserSearchCriteria
/*     */   implements Serializable
/*     */ {
/*     */   private String name;
/*     */   private String tenantId;
/*     */   private Boolean includeSubOrgs;
/*     */   private WSRole[] requiredRoles;
/*     */   private int maxRecords;
/*     */   
/*     */   public WSUserSearchCriteria(String name, String tenantId, Boolean includeSubOrgs, WSRole[] requiredRoles, int maxRecords)
/*     */   {
/*  51 */     this.name = name;
/*  52 */     this.tenantId = tenantId;
/*  53 */     this.includeSubOrgs = includeSubOrgs;
/*  54 */     this.requiredRoles = requiredRoles;
/*  55 */     this.maxRecords = maxRecords;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getName()
/*     */   {
/*  65 */     return this.name;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setName(String name)
/*     */   {
/*  75 */     this.name = name;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getTenantId()
/*     */   {
/*  85 */     return this.tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTenantId(String tenantId)
/*     */   {
/*  95 */     this.tenantId = tenantId;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Boolean getIncludeSubOrgs()
/*     */   {
/* 105 */     return this.includeSubOrgs;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setIncludeSubOrgs(Boolean includeSubOrgs)
/*     */   {
/* 115 */     this.includeSubOrgs = includeSubOrgs;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public WSRole[] getRequiredRoles()
/*     */   {
/* 125 */     return this.requiredRoles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRequiredRoles(WSRole[] requiredRoles)
/*     */   {
/* 135 */     this.requiredRoles = requiredRoles;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getMaxRecords()
/*     */   {
/* 145 */     return this.maxRecords;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMaxRecords(int maxRecords)
/*     */   {
/* 155 */     this.maxRecords = maxRecords;
/*     */   }
/*     */   
/* 158 */   private Object __equalsCalc = null;
/*     */   
/* 160 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof WSUserSearchCriteria)) return false;
/* 161 */     WSUserSearchCriteria other = (WSUserSearchCriteria)obj;
/* 162 */     if (obj == null) return false;
/* 163 */     if (this == obj) return true;
/* 164 */     if (this.__equalsCalc != null) {
/* 165 */       return this.__equalsCalc == obj;
/*     */     }
/* 167 */     this.__equalsCalc = obj;
/*     */     
/* 169 */     boolean _equals = ((this.name == null) && (other.getName() == null)) || ((this.name != null) && (this.name.equals(other.getName())) && (((this.tenantId == null) && (other.getTenantId() == null)) || ((this.tenantId != null) && (this.tenantId.equals(other.getTenantId())) && (((this.includeSubOrgs == null) && (other.getIncludeSubOrgs() == null)) || ((this.includeSubOrgs != null) && (this.includeSubOrgs.equals(other.getIncludeSubOrgs())) && (((this.requiredRoles == null) && (other.getRequiredRoles() == null)) || ((this.requiredRoles != null) && (Arrays.equals(this.requiredRoles, other.getRequiredRoles())) && (this.maxRecords == other.getMaxRecords()))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 183 */     this.__equalsCalc = null;
/* 184 */     return _equals;
/*     */   }
/*     */   
/* 187 */   private boolean __hashCodeCalc = false;
/*     */   
/* 189 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 190 */       return 0;
/*     */     }
/* 192 */     this.__hashCodeCalc = true;
/* 193 */     int _hashCode = 1;
/* 194 */     if (getName() != null) {
/* 195 */       _hashCode += getName().hashCode();
/*     */     }
/* 197 */     if (getTenantId() != null) {
/* 198 */       _hashCode += getTenantId().hashCode();
/*     */     }
/* 200 */     if (getIncludeSubOrgs() != null) {
/* 201 */       _hashCode += getIncludeSubOrgs().hashCode();
/*     */     }
/* 203 */     if (getRequiredRoles() != null) {
/* 204 */       for (int i = 0; 
/* 205 */           i < Array.getLength(getRequiredRoles()); 
/* 206 */           i++) {
/* 207 */         Object obj = Array.get(getRequiredRoles(), i);
/* 208 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 210 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 214 */     _hashCode += getMaxRecords();
/* 215 */     this.__hashCodeCalc = false;
/* 216 */     return _hashCode;
/*     */   }
/*     */   
/*     */ 
/* 220 */   private static TypeDesc typeDesc = new TypeDesc(WSUserSearchCriteria.class, true);
/*     */   
/*     */   static
/*     */   {
/* 224 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSUserSearchCriteria"));
/* 225 */     ElementDesc elemField = new ElementDesc();
/* 226 */     elemField.setFieldName("name");
/* 227 */     elemField.setXmlName(new QName("", "name"));
/* 228 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 229 */     elemField.setNillable(true);
/* 230 */     typeDesc.addFieldDesc(elemField);
/* 231 */     elemField = new ElementDesc();
/* 232 */     elemField.setFieldName("tenantId");
/* 233 */     elemField.setXmlName(new QName("", "tenantId"));
/* 234 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 235 */     elemField.setNillable(true);
/* 236 */     typeDesc.addFieldDesc(elemField);
/* 237 */     elemField = new ElementDesc();
/* 238 */     elemField.setFieldName("includeSubOrgs");
/* 239 */     elemField.setXmlName(new QName("", "includeSubOrgs"));
/* 240 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "boolean"));
/* 241 */     elemField.setNillable(true);
/* 242 */     typeDesc.addFieldDesc(elemField);
/* 243 */     elemField = new ElementDesc();
/* 244 */     elemField.setFieldName("requiredRoles");
/* 245 */     elemField.setXmlName(new QName("", "requiredRoles"));
/* 246 */     elemField.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSRole"));
/* 247 */     elemField.setNillable(true);
/* 248 */     typeDesc.addFieldDesc(elemField);
/* 249 */     elemField = new ElementDesc();
/* 250 */     elemField.setFieldName("maxRecords");
/* 251 */     elemField.setXmlName(new QName("", "maxRecords"));
/* 252 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "int"));
/* 253 */     elemField.setNillable(false);
/* 254 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 261 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 271 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 283 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */   public WSUserSearchCriteria() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\authority\WSUserSearchCriteria.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */