/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceProperty;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.ResourceUtils;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.List;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.ListSelectionModel;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.event.ListSelectionEvent;
/*     */ import javax.swing.event.ListSelectionListener;
/*     */ import javax.swing.table.DefaultTableModel;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ReportOptionsDialog extends JDialog
/*     */ {
/*  51 */   private int dialogResult = 2;
/*     */   
/*  53 */   private JServer server = null;
/*  54 */   private String parentFolder = null;
/*  55 */   private RepositoryFolder resource = null;
/*     */   
/*  57 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  59 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonSave;
/*     */   
/*     */   public ReportOptionsDialog(Frame parent, boolean modal) {
/*  65 */     super(parent, modal);
/*  66 */     initComponents();
/*     */     
/*  68 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  69 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  71 */         ReportOptionsDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  74 */       public void insertUpdate(DocumentEvent evt) { ReportOptionsDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  77 */         ReportOptionsDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  80 */     };
/*  81 */     DefaultTableModel lm = (DefaultTableModel)this.jTableLOV.getModel();
/*  82 */     lm.setRowCount(0);
/*  83 */     this.jTableLOV.updateUI();
/*     */     
/*  85 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  86 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  87 */     this.jTextFieldName.requestFocusInWindow();
/*     */     
/*  89 */     this.jTableLOV.getSelectionModel().addListSelectionListener(new ListSelectionListener() {
/*     */       public void valueChanged(ListSelectionEvent evt) {
/*  91 */         ReportOptionsDialog.this.jTableValueChanged(evt);
/*     */       }
/*     */       
/*  94 */     });
/*  95 */     jTableValueChanged(null);
/*  96 */     applyI18n();
/*     */   }
/*     */   
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelDescription;
/* 102 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("listOfValuesDialog.buttonCancel", "Cancel"));
/* 103 */     this.jButtonSave.setText(IRPlugin.getString("listOfValuesDialog.buttonSave", "Save"));
/* 104 */     this.jLabel1.setText(IRPlugin.getString("reportOptionsDialog.title", "Report options"));
/* 105 */     this.jLabelDescription.setText(IRPlugin.getString("listOfValuesDialog.labelDescription", "Description"));
/* 106 */     this.jLabelLabel.setText(IRPlugin.getString("listOfValuesDialog.labelLabel", "Label"));
/* 107 */     this.jLabelName.setText(IRPlugin.getString("listOfValuesDialog.labelName", "Name"));
/* 108 */     this.jLabelUriString.setText(IRPlugin.getString("listOfValuesDialog.labelParentFolder", "Parent folder"));
/*     */     
/* 110 */     this.jLabelReportUnitURI.setText(IRPlugin.getString("reportOptionsDialog.labelReportUnitURI", "Report Unit URI"));
/*     */     
/* 112 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("listOfValuesDialog.tabGeneral", "General"));
/* 113 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("listOfValuesDialog.tabReportOptions", "Report options"));
/*     */     
/* 115 */     this.jTableLOV.getColumn("Label").setHeaderValue(IRPlugin.getString("reportOptionsDialog.tableColumn.parameter", "Parameter"));
/* 116 */     this.jTableLOV.getColumn("Value").setHeaderValue(IRPlugin.getString("reportOptionsDialog.tableColumn.value", "Value"));
/*     */     
/* 118 */     this.jTableLOV.updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jTableValueChanged(ListSelectionEvent evt) {}
/*     */   
/*     */   private void updateSaveButton()
/*     */   {
/* 126 */     if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0))
/*     */     {
/*     */ 
/* 129 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 133 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelReportUnitURI;
/*     */   private JLabel jLabelUriString;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private void initComponents()
/*     */   {
/* 146 */     this.buttonGroup1 = new ButtonGroup();
/* 147 */     this.jPanel1 = new JPanel();
/* 148 */     this.jLabel1 = new JLabel();
/* 149 */     this.jSeparator1 = new JSeparator();
/* 150 */     this.jTabbedPane1 = new JTabbedPane();
/* 151 */     this.jPanel2 = new JPanel();
/* 152 */     this.jLabelUriString = new JLabel();
/* 153 */     this.jTextFieldUriString = new JTextField();
/* 154 */     this.jLabelName = new JLabel();
/* 155 */     this.jTextFieldName = new JTextField();
/* 156 */     this.jSeparator2 = new JSeparator();
/* 157 */     this.jLabelLabel = new JLabel();
/* 158 */     this.jTextFieldLabel = new JTextField();
/* 159 */     this.jScrollPane1 = new JScrollPane();
/* 160 */     this.jEditorPaneDescription = new JEditorPane();
/* 161 */     this.jLabelDescription = new JLabel();
/* 162 */     this.jPanel3 = new JPanel();
/* 163 */     this.jPanel5 = new JPanel();
/* 164 */     this.jLabelReportUnitURI = new JLabel();
/* 165 */     this.jTextFieldReportUnitURI = new JTextField();
/* 166 */     this.jScrollPane2 = new JScrollPane();
/* 167 */     this.jTableLOV = new JTable();
/* 168 */     this.jPanel4 = new JPanel();
/* 169 */     this.jButtonSave = new JButton();
/* 170 */     this.jButtonClose = new JButton();
/*     */     
/* 172 */     setDefaultCloseOperation(2);
/* 173 */     setTitle("Data Type");
/* 174 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 176 */     this.jPanel1.setBackground(new Color(255, 255, 255));
/* 177 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 179 */     this.jLabel1.setFont(new Font("Dialog", 1, 12));
/* 180 */     this.jLabel1.setIcon(new ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 181 */     this.jLabel1.setText("List of values");
/* 182 */     this.jLabel1.setVerticalAlignment(3);
/* 183 */     this.jLabel1.setVerticalTextPosition(3);
/* 184 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 185 */     gridBagConstraints.fill = 1;
/* 186 */     gridBagConstraints.weightx = 1.0D;
/* 187 */     gridBagConstraints.weighty = 1.0D;
/* 188 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 190 */     gridBagConstraints = new GridBagConstraints();
/* 191 */     gridBagConstraints.fill = 2;
/* 192 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 194 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 195 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 196 */     gridBagConstraints = new GridBagConstraints();
/* 197 */     gridBagConstraints.gridx = 0;
/* 198 */     gridBagConstraints.fill = 2;
/* 199 */     gridBagConstraints.weightx = 1.0D;
/* 200 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 202 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 203 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 205 */     this.jLabelUriString.setText("Parent folder");
/* 206 */     gridBagConstraints = new GridBagConstraints();
/* 207 */     gridBagConstraints.gridx = 0;
/* 208 */     gridBagConstraints.fill = 2;
/* 209 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 210 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 212 */     this.jTextFieldUriString.setEditable(false);
/* 213 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 214 */     this.jTextFieldUriString.setOpaque(false);
/* 215 */     gridBagConstraints = new GridBagConstraints();
/* 216 */     gridBagConstraints.gridx = 1;
/* 217 */     gridBagConstraints.fill = 2;
/* 218 */     gridBagConstraints.weightx = 1.0D;
/* 219 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 220 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 222 */     this.jLabelName.setText("Name");
/* 223 */     gridBagConstraints = new GridBagConstraints();
/* 224 */     gridBagConstraints.gridx = 0;
/* 225 */     gridBagConstraints.fill = 2;
/* 226 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 227 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/* 228 */     gridBagConstraints = new GridBagConstraints();
/* 229 */     gridBagConstraints.gridx = 1;
/* 230 */     gridBagConstraints.fill = 2;
/* 231 */     gridBagConstraints.weightx = 1.0D;
/* 232 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 233 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 235 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 236 */     gridBagConstraints = new GridBagConstraints();
/* 237 */     gridBagConstraints.gridx = 0;
/* 238 */     gridBagConstraints.gridwidth = 2;
/* 239 */     gridBagConstraints.fill = 2;
/* 240 */     gridBagConstraints.weightx = 1.0D;
/* 241 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 242 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 244 */     this.jLabelLabel.setText("Label");
/* 245 */     gridBagConstraints = new GridBagConstraints();
/* 246 */     gridBagConstraints.gridx = 0;
/* 247 */     gridBagConstraints.fill = 2;
/* 248 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 249 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/* 250 */     gridBagConstraints = new GridBagConstraints();
/* 251 */     gridBagConstraints.gridx = 1;
/* 252 */     gridBagConstraints.fill = 2;
/* 253 */     gridBagConstraints.weightx = 1.0D;
/* 254 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 255 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 257 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 259 */     gridBagConstraints = new GridBagConstraints();
/* 260 */     gridBagConstraints.gridx = 1;
/* 261 */     gridBagConstraints.fill = 1;
/* 262 */     gridBagConstraints.weightx = 1.0D;
/* 263 */     gridBagConstraints.weighty = 1.0D;
/* 264 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 265 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 267 */     this.jLabelDescription.setText("Description");
/* 268 */     gridBagConstraints = new GridBagConstraints();
/* 269 */     gridBagConstraints.gridx = 0;
/* 270 */     gridBagConstraints.fill = 2;
/* 271 */     gridBagConstraints.anchor = 11;
/* 272 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 273 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 275 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 277 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 279 */     this.jPanel5.setLayout(new GridBagLayout());
/*     */     
/* 281 */     this.jLabelReportUnitURI.setText("Report unit URI:");
/* 282 */     gridBagConstraints = new GridBagConstraints();
/* 283 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 284 */     this.jPanel5.add(this.jLabelReportUnitURI, gridBagConstraints);
/*     */     
/* 286 */     this.jTextFieldReportUnitURI.setEditable(false);
/* 287 */     gridBagConstraints = new GridBagConstraints();
/* 288 */     gridBagConstraints.fill = 2;
/* 289 */     gridBagConstraints.weightx = 1.0D;
/* 290 */     this.jPanel5.add(this.jTextFieldReportUnitURI, gridBagConstraints);
/*     */     
/* 292 */     gridBagConstraints = new GridBagConstraints();
/* 293 */     gridBagConstraints.fill = 2;
/* 294 */     gridBagConstraints.weightx = 1.0D;
/* 295 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 296 */     this.jPanel3.add(this.jPanel5, gridBagConstraints);
/*     */     
/* 298 */     this.jScrollPane2.setPreferredSize(new Dimension(200, 200));
/*     */     
/* 300 */     this.jTableLOV.setModel(new DefaultTableModel(new Object[0][], new String[] { "Label", "Value" })
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 308 */       Class[] types = { String.class, String.class };
/*     */       
/*     */ 
/* 311 */       boolean[] canEdit = { false, false };
/*     */       
/*     */ 
/*     */       public Class getColumnClass(int columnIndex)
/*     */       {
/* 316 */         return this.types[columnIndex];
/*     */       }
/*     */       
/*     */       public boolean isCellEditable(int rowIndex, int columnIndex) {
/* 320 */         return this.canEdit[columnIndex];
/*     */       }
/* 322 */     });
/* 323 */     this.jScrollPane2.setViewportView(this.jTableLOV);
/*     */     
/* 325 */     gridBagConstraints = new GridBagConstraints();
/* 326 */     gridBagConstraints.gridx = 0;
/* 327 */     gridBagConstraints.fill = 1;
/* 328 */     gridBagConstraints.weightx = 1.0D;
/* 329 */     gridBagConstraints.weighty = 1.0D;
/* 330 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 331 */     this.jPanel3.add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 333 */     this.jTabbedPane1.addTab("Report options", this.jPanel3);
/*     */     
/* 335 */     gridBagConstraints = new GridBagConstraints();
/* 336 */     gridBagConstraints.gridx = 0;
/* 337 */     gridBagConstraints.fill = 1;
/* 338 */     gridBagConstraints.weightx = 1.0D;
/* 339 */     gridBagConstraints.weighty = 1.0D;
/* 340 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 342 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 343 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 344 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 346 */     this.jButtonSave.setText("Save");
/* 347 */     this.jButtonSave.setEnabled(false);
/* 348 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 350 */         ReportOptionsDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/* 352 */     });
/* 353 */     gridBagConstraints = new GridBagConstraints();
/* 354 */     gridBagConstraints.anchor = 13;
/* 355 */     gridBagConstraints.weightx = 1.0D;
/* 356 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 357 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 359 */     this.jButtonClose.setText("Cancel");
/* 360 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 362 */         ReportOptionsDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/* 364 */     });
/* 365 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 367 */     gridBagConstraints = new GridBagConstraints();
/* 368 */     gridBagConstraints.gridx = 0;
/* 369 */     gridBagConstraints.fill = 2;
/* 370 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 371 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 373 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 378 */     setVisible(false);
/* 379 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 389 */     ResourceDescriptor rd = ResourceUtils.cloneResourceDescriptor(this.resource.getDescriptor());
/*     */     
/* 391 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 392 */     rd.setName(this.jTextFieldName.getText());
/* 393 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/*     */     
/*     */     try
/*     */     {
/* 397 */       validate(rd);
/* 398 */       this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       
/* 400 */       setDialogResult(0);
/*     */       
/* 402 */       if (this.resource != null)
/*     */       {
/* 404 */         this.resource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 407 */       setVisible(false);
/* 408 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 411 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 412 */       ex.printStackTrace();
/* 413 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 419 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 423 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 428 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 432 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 436 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 440 */     this.parentFolder = parentFolder;
/* 441 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 445 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 454 */     this.resource = resource;
/* 455 */     if (resource != null)
/*     */     {
/* 457 */       setResource(resource.getDescriptor());
/* 458 */       this.jTextFieldName.setEditable(false);
/* 459 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 470 */     this.resource = this.resource;
/* 471 */     this.jTextFieldName.setText(descriptor.getName());
/*     */     
/*     */ 
/* 474 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 475 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 480 */     this.jTextFieldReportUnitURI.setText(descriptor.getResourcePropertyValue("PROP_RU_URI"));
/*     */     
/* 482 */     ResourceProperty rp = descriptor.getResourceProperty("PROP_VALUES");
/*     */     
/* 484 */     List list = rp.getProperties();
/* 485 */     if (list != null)
/*     */     {
/* 487 */       DefaultTableModel dtm = (DefaultTableModel)this.jTableLOV.getModel();
/* 488 */       for (int i = 0; i < list.size(); i++)
/*     */       {
/* 490 */         ResourceProperty li = (ResourceProperty)list.get(i);
/* 491 */         String value = li.getValue() == null ? "" : li.getValue();
/* 492 */         if (li.getProperties().size() > 0)
/*     */         {
/* 494 */           for (int k = 0; k < li.getProperties().size(); k++)
/*     */           {
/* 496 */             ResourceProperty sli = (ResourceProperty)li.getProperties().get(k);
/* 497 */             dtm.addRow(new Object[] { li.getName() + " [" + sli.getName() + "]", sli.getValue() == null ? "" : sli.getValue() });
/*     */           }
/*     */           
/*     */         }
/*     */         else {
/* 502 */           dtm.addRow(new Object[] { li.getName(), value });
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */ 
/*     */   private JPanel jPanel5;
/*     */   
/*     */ 
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */ 
/*     */   private JScrollPane jScrollPane2;
/*     */   
/*     */ 
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTable jTableLOV;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldReportUnitURI;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 544 */     ValidationUtils.validateName(dataType.getName());
/* 545 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 546 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */   public boolean isDoNotStore() {
/* 550 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 554 */     this.doNotStore = doNotStore;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ReportOptionsDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */