/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.BasicInputControl;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.BooleanInputControl;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.InputValidationException;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.MultiColumnListInputControl;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.MultiSelectInputControl;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.SingleSelectInputControl;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Font;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.text.DateFormat;
/*     */ import java.text.SimpleDateFormat;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Collection;
/*     */ import java.util.Date;
/*     */ import java.util.HashMap;
/*     */ import java.util.List;
/*     */ import java.util.Map;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ 
/*     */ public class ReportUnitRunDialog extends JDialog
/*     */ {
/*  50 */   private int dialogResult = 2;
/*  51 */   private HashMap parametersValues = null;
/*  52 */   private List inputControls = null;
/*  53 */   private JServer server = null;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonSave;
/*     */   
/*  57 */   public ReportUnitRunDialog(Frame parent, boolean modal) { super(parent, modal);
/*  58 */     initComponents();
/*  59 */     this.inputControls = new ArrayList();
/*  60 */     this.jScrollPane1.setViewportView(this.jPanelInputControls);
/*     */     
/*  62 */     Misc.centerFrame(this);
/*  63 */     applyI18n();
/*     */   }
/*     */   
/*     */   public void applyI18n()
/*     */   {
/*  68 */     this.jButtonClose.setText(IRPlugin.getString("reportUnitRunDialog.buttonCancel", "Cancel"));
/*  69 */     this.jButtonSave.setText(IRPlugin.getString("reportUnitRunDialog.buttonRunReport", "Run report"));
/*  70 */     this.jLabel1.setText(IRPlugin.getString("reportUnitRunDialog.title", "Report parameters"));
/*     */   }
/*     */   
/*     */   private JLabel jLabel1;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private JPanel jPanel4;
/*     */   private JPanel jPanelInputControls;
/*     */   private JScrollPane jScrollPane1;
/*     */   private JSeparator jSeparator1;
/*     */   private JSeparator jSeparator4;
/*     */   private void initComponents() {
/*  82 */     this.jPanelInputControls = new JPanel();
/*  83 */     this.jPanel1 = new JPanel();
/*  84 */     this.jLabel1 = new JLabel();
/*  85 */     this.jSeparator1 = new JSeparator();
/*  86 */     this.jPanel2 = new JPanel();
/*  87 */     this.jScrollPane1 = new JScrollPane();
/*  88 */     this.jSeparator4 = new JSeparator();
/*  89 */     this.jPanel4 = new JPanel();
/*  90 */     this.jButtonSave = new JButton();
/*  91 */     this.jButtonClose = new JButton();
/*     */     
/*  93 */     this.jPanelInputControls.setLayout(new GridBagLayout());
/*     */     
/*  95 */     this.jPanelInputControls.setMaximumSize(new Dimension(450, Integer.MAX_VALUE));
/*  96 */     this.jPanelInputControls.setMinimumSize(new Dimension(50, 10));
/*     */     
/*  98 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 100 */     setDefaultCloseOperation(2);
/* 101 */     setTitle("Report unit");
/* 102 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 104 */     this.jPanel1.setBackground(new Color(255, 255, 255));
/* 105 */     this.jLabel1.setFont(new Font("Dialog", 1, 12));
/* 106 */     this.jLabel1.setIcon(new ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/documents_label.png")));
/* 107 */     this.jLabel1.setText("Report parameters");
/* 108 */     this.jLabel1.setVerticalAlignment(3);
/* 109 */     this.jLabel1.setVerticalTextPosition(3);
/* 110 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 111 */     gridBagConstraints.fill = 1;
/* 112 */     gridBagConstraints.weightx = 1.0D;
/* 113 */     gridBagConstraints.weighty = 1.0D;
/* 114 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 116 */     gridBagConstraints = new GridBagConstraints();
/* 117 */     gridBagConstraints.fill = 2;
/* 118 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 120 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 121 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 122 */     gridBagConstraints = new GridBagConstraints();
/* 123 */     gridBagConstraints.gridx = 0;
/* 124 */     gridBagConstraints.fill = 2;
/* 125 */     gridBagConstraints.weightx = 1.0D;
/* 126 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 128 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 130 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 131 */     this.jScrollPane1.setBorder(null);
/* 132 */     gridBagConstraints = new GridBagConstraints();
/* 133 */     gridBagConstraints.gridx = 0;
/* 134 */     gridBagConstraints.fill = 1;
/* 135 */     gridBagConstraints.weightx = 1.0D;
/* 136 */     gridBagConstraints.weighty = 1.0D;
/* 137 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 139 */     this.jSeparator4.setMinimumSize(new Dimension(0, 2));
/* 140 */     gridBagConstraints = new GridBagConstraints();
/* 141 */     gridBagConstraints.gridx = 0;
/* 142 */     gridBagConstraints.fill = 2;
/* 143 */     gridBagConstraints.weightx = 1.0D;
/* 144 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 145 */     this.jPanel2.add(this.jSeparator4, gridBagConstraints);
/*     */     
/* 147 */     gridBagConstraints = new GridBagConstraints();
/* 148 */     gridBagConstraints.gridx = 0;
/* 149 */     gridBagConstraints.fill = 1;
/* 150 */     gridBagConstraints.weightx = 1.0D;
/* 151 */     gridBagConstraints.weighty = 1.0D;
/* 152 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 154 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 156 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 157 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 158 */     this.jButtonSave.setText("Run report");
/* 159 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 161 */         ReportUnitRunDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 164 */     });
/* 165 */     gridBagConstraints = new GridBagConstraints();
/* 166 */     gridBagConstraints.anchor = 13;
/* 167 */     gridBagConstraints.weightx = 1.0D;
/* 168 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 169 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 171 */     this.jButtonClose.setText("Cancel");
/* 172 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 174 */         ReportUnitRunDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 177 */     });
/* 178 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 180 */     gridBagConstraints = new GridBagConstraints();
/* 181 */     gridBagConstraints.gridx = 0;
/* 182 */     gridBagConstraints.fill = 2;
/* 183 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 184 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 186 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 191 */     setVisible(false);
/* 192 */     dispose();
/*     */   }
/*     */   
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 197 */     HashMap newSuggestedValues = new HashMap();
/*     */     try {
/* 199 */       this.parametersValues = new HashMap();
/* 200 */       for (int i = 0; i < this.inputControls.size(); i++)
/*     */       {
/* 202 */         BasicInputControl ic = (BasicInputControl)this.inputControls.get(i);
/* 203 */         Object val = ic.validate();
/* 204 */         if (val != null)
/*     */         {
/* 206 */           newSuggestedValues.put(ic.getInputControl().getName(), val);
/* 207 */           if ((val instanceof Date))
/*     */           {
/* 209 */             val = "" + ((Date)val).getTime();
/* 210 */             this.parametersValues.put(ic.getInputControl().getName(), "" + val);
/*     */           }
/* 212 */           else if ((val instanceof Collection))
/*     */           {
/* 214 */             this.parametersValues.put(ic.getInputControl().getName(), val);
/*     */           }
/*     */           else
/*     */           {
/* 218 */             this.parametersValues.put(ic.getInputControl().getName(), "" + val);
/*     */ 
/*     */           }
/*     */           
/*     */ 
/*     */         }
/* 224 */         else if (ic.getInputControl().isMandatory())
/*     */         {
/* 226 */           throw new InputValidationException(IRPlugin.getFormattedString("reportUnitRunDialog.message.mandatoryParameter", "{0} is a mandatory parameter!", new Object[] { ic.getInputControl().getLabel() }));
/*     */         }
/*     */         
/*     */       }
/*     */       
/*     */ 
/*     */     }
/*     */     catch (InputValidationException ex)
/*     */     {
/*     */ 
/* 236 */       JOptionPane.showMessageDialog(MainFrame.getMainInstance(), ex.getMessage());
/* 237 */       ex.printStackTrace();
/* 238 */       return;
/*     */     }
/*     */     
/* 241 */     for (int i = 0; i < newSuggestedValues.size(); i++)
/*     */     {
/* 243 */       BasicInputControl ic = (BasicInputControl)this.inputControls.get(i);
/* 244 */       Object val = newSuggestedValues.get(ic.getInputControl().getName());
/* 245 */       if (val != null)
/*     */       {
/* 247 */         ic.addHistoryValue(ic.getInputControl().getUriString(), val);
/*     */       }
/*     */     }
/*     */     
/* 251 */     setDialogResult(0);
/* 252 */     setVisible(false);
/* 253 */     dispose();
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 257 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 261 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setInputControls(List inputControlsDescriptors)
/*     */   {
/* 269 */     setInputControls(inputControlsDescriptors, null);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setInputControls(List inputControlsDescriptors, Map defaultValues)
/*     */   {
/* 277 */     if (inputControlsDescriptors == null) return;
/* 278 */     this.inputControls.clear();
/*     */     
/* 280 */     for (int i = 0; i < inputControlsDescriptors.size(); i++)
/*     */     {
/* 282 */       ResourceDescriptor rd = (ResourceDescriptor)inputControlsDescriptors.get(i);
/* 283 */       Object defaultValue = null;
/* 284 */       if ((defaultValues != null) && (defaultValues.containsKey(rd.getName())))
/*     */       {
/* 286 */         defaultValue = defaultValues.get(rd.getName());
/*     */       }
/*     */       
/* 289 */       if (rd.getControlType() == 2)
/*     */       {
/* 291 */         BasicInputControl bic = new BasicInputControl();
/*     */         
/* 293 */         ResourceDescriptor rdDataType = (ResourceDescriptor)rd.getChildren().get(0);
/*     */         
/* 295 */         if (rdDataType.getWsType().equals("reference"))
/*     */         {
/* 297 */           ResourceDescriptor tmpRd = new ResourceDescriptor();
/* 298 */           tmpRd.setUriString(rdDataType.getReferenceUri());
/*     */           try {
/* 300 */             rdDataType = getServer().getWSClient().get(tmpRd, null);
/*     */           }
/*     */           catch (Exception ex) {
/* 303 */             JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 304 */             ex.printStackTrace();
/*     */           }
/*     */         }
/* 307 */         bic.setInputControl(rd, rdDataType);
/*     */         
/*     */ 
/*     */ 
/* 311 */         if (defaultValue != null)
/*     */         {
/* 313 */           Object formattedValue = defaultValue;
/* 314 */           if ((rdDataType != null) && (rdDataType.getDataType() == 3))
/*     */           {
/* 316 */             Date date = new Date(Long.parseLong("" + defaultValue));
/* 317 */             SimpleDateFormat format = new SimpleDateFormat(MainFrame.getMainInstance().getProperties().getProperty("dateformat", "d/M/y"));
/*     */             
/* 319 */             formattedValue = format.format(date);
/*     */           }
/* 321 */           else if ((rdDataType != null) && (rdDataType.getDataType() == 3))
/*     */           {
/* 323 */             Date date = new Date(Long.parseLong("" + defaultValue));
/* 324 */             SimpleDateFormat format = new SimpleDateFormat(MainFrame.getMainInstance().getProperties().getProperty("timeformat", "d/M/y H:m:s"));
/*     */             
/* 326 */             formattedValue = format.format(date);
/*     */           }
/*     */           
/* 329 */           bic.setDefaultValue(formattedValue);
/*     */         }
/* 331 */         this.inputControls.add(bic);
/*     */       }
/* 333 */       else if (rd.getControlType() == 1)
/*     */       {
/* 335 */         BooleanInputControl bic = new BooleanInputControl();
/* 336 */         bic.setInputControl(rd);
/* 337 */         if (defaultValue != null) bic.setDefaultValue(defaultValue);
/* 338 */         this.inputControls.add(bic);
/*     */       }
/* 340 */       else if ((rd.getControlType() == 3) || (rd.getControlType() == 8) || (rd.getControlType() == 6) || (rd.getControlType() == 10))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 346 */         BasicInputControl bic = null;
/*     */         
/* 348 */         if ((rd.getControlType() == 3) || (rd.getControlType() == 8))
/*     */         {
/*     */ 
/* 351 */           bic = new SingleSelectInputControl();
/*     */         }
/* 353 */         else if ((rd.getControlType() == 6) || (rd.getControlType() == 10))
/*     */         {
/*     */ 
/* 356 */           bic = new MultiSelectInputControl();
/*     */         }
/*     */         
/*     */ 
/* 360 */         ResourceDescriptor rd2 = (ResourceDescriptor)rd.getChildren().get(0);
/* 361 */         List items = null;
/*     */         
/* 363 */         if (rd2.getWsType().equals("reference"))
/*     */         {
/* 365 */           ResourceDescriptor tmpRd = new ResourceDescriptor();
/* 366 */           tmpRd.setUriString(rd2.getReferenceUri());
/*     */           try {
/* 368 */             tmpRd = getServer().getWSClient().get(tmpRd, null);
/* 369 */             items = tmpRd.getListOfValues();
/*     */           }
/*     */           catch (Exception ex) {
/* 372 */             JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 373 */             ex.printStackTrace();
/*     */           }
/*     */         }
/*     */         else
/*     */         {
/* 378 */           items = ((ResourceDescriptor)rd.getChildren().get(0)).getListOfValues();
/*     */         }
/* 380 */         bic.setInputControl(rd, items);
/* 381 */         if (defaultValue != null) bic.setDefaultValue(defaultValue);
/* 382 */         this.inputControls.add(bic);
/*     */       }
/* 384 */       else if ((rd.getControlType() == 4) || (rd.getControlType() == 9) || (rd.getControlType() == 7) || (rd.getControlType() == 11))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 390 */         BasicInputControl bic = null;
/*     */         
/* 392 */         if (rd.getControlType() == 4)
/*     */         {
/* 394 */           bic = new MultiColumnListInputControl();
/*     */         }
/* 396 */         else if (rd.getControlType() == 9)
/*     */         {
/* 398 */           bic = new SingleSelectInputControl();
/*     */         }
/* 400 */         else if ((rd.getControlType() == 7) || (rd.getControlType() == 11))
/*     */         {
/*     */ 
/* 403 */           bic = new MultiSelectInputControl();
/*     */         }
/*     */         
/* 406 */         ResourceDescriptor rd2 = (ResourceDescriptor)rd.getChildren().get(0);
/* 407 */         List items = null;
/*     */         
/* 409 */         bic.setInputControl(rd, rd.getQueryData());
/* 410 */         if (defaultValue != null) bic.setDefaultValue(defaultValue);
/* 411 */         this.inputControls.add(bic);
/*     */       }
/*     */     }
/*     */     
/* 415 */     int height = 0;
/* 416 */     for (int i = 0; i < this.inputControls.size(); i++)
/*     */     {
/* 418 */       BasicInputControl ic = (BasicInputControl)this.inputControls.get(i);
/* 419 */       GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 420 */       gridBagConstraints.gridx = 0;
/* 421 */       gridBagConstraints.fill = 2;
/* 422 */       gridBagConstraints.weightx = 1.0D;
/* 423 */       this.jPanelInputControls.add(ic.getUI(), gridBagConstraints);
/*     */       
/* 425 */       height += ic.getUI().getPreferredSize().height;
/*     */     }
/*     */     
/* 428 */     GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
/* 429 */     gridBagConstraints2.gridx = 0;
/* 430 */     gridBagConstraints2.weighty = 1.0D;
/* 431 */     gridBagConstraints2.weightx = 1.0D;
/* 432 */     JPanel spacer = new JPanel();
/* 433 */     spacer.setPreferredSize(new Dimension(1, 1));
/* 434 */     this.jPanelInputControls.add(spacer, gridBagConstraints2);
/*     */     
/* 436 */     this.jPanelInputControls.setSize(50, height);
/*     */     
/* 438 */     this.jPanelInputControls.doLayout();
/* 439 */     this.jPanelInputControls.updateUI();
/*     */   }
/*     */   
/*     */   public Map getParametersValues()
/*     */   {
/* 444 */     return this.parametersValues;
/*     */   }
/*     */   
/*     */   public JServer getServer() {
/* 448 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 452 */     this.server = server;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ReportUnitRunDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */