/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.InputControlQueryDataRow;
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ListItem;
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui.InputControlUI;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui.ListInputControlUI;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui.RadioListInputControlUI;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SingleSelectInputControl
/*     */   extends BasicInputControl
/*     */ {
/*  40 */   List wrappedItems = null;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setInputControl(ResourceDescriptor inputControl, List items)
/*     */   {
/*  49 */     this.inputControl = inputControl;
/*     */     
/*  51 */     String defaultNullLabel = "";
/*     */     
/*  53 */     if (inputControl.getControlType() == 3)
/*     */     {
/*  55 */       setInputControlUI(new ListInputControlUI());
/*     */     }
/*  57 */     else if ((inputControl.getControlType() == 9) || (inputControl.getControlType() == 8))
/*     */     {
/*     */ 
/*  60 */       setInputControlUI(new RadioListInputControlUI());
/*  61 */       defaultNullLabel = "-None-";
/*     */     }
/*     */     
/*  64 */     String label = inputControl.getLabel() + (inputControl.isMandatory() ? "*" : "");
/*  65 */     getInputControlUI().setLabel(label);
/*     */     
/*     */ 
/*  68 */     this.wrappedItems = new ArrayList();
/*     */     
/*  70 */     if (!inputControl.isMandatory())
/*     */     {
/*  72 */       this.wrappedItems.add(new ListItemWrapper(new ListItem(defaultNullLabel, null)));
/*     */     }
/*     */     
/*  75 */     for (int i = 0; (items != null) && (items.size() > i); i++)
/*     */     {
/*  77 */       Object itemObject = items.get(i);
/*  78 */       if ((itemObject instanceof ListItem))
/*     */       {
/*  80 */         ListItem item = (ListItem)itemObject;
/*  81 */         this.wrappedItems.add(new ListItemWrapper(item));
/*     */       }
/*  83 */       else if ((itemObject instanceof InputControlQueryDataRow))
/*     */       {
/*  85 */         InputControlQueryDataRow qd = (InputControlQueryDataRow)itemObject;
/*     */         
/*  87 */         List itemColumnValues = qd.getColumnValues();
/*  88 */         String text = "";
/*     */         
/*  90 */         for (int k = 0; k < itemColumnValues.size(); k++)
/*     */         {
/*  92 */           if (k > 0) text = text + " | ";
/*  93 */           text = text + itemColumnValues.get(k);
/*     */         }
/*     */         
/*  96 */         this.wrappedItems.add(new ListItemWrapper(new ListItem(text, qd.getValue())));
/*     */       }
/*     */     }
/*     */     
/*     */ 
/* 101 */     getInputControlUI().setHistory(this.wrappedItems);
/* 102 */     getInputControlUI().setReadOnly(inputControl.isReadOnly());
/*     */     
/* 104 */     List history = getHistory(inputControl.getUriString());
/*     */     
/* 106 */     if ((history != null) && (history.size() > 0))
/*     */     {
/* 108 */       getInputControlUI().setValue(history.get(0));
/*     */     }
/*     */   }
/*     */   
/*     */   public Object validate() throws InputValidationException
/*     */   {
/* 114 */     return getInputControlUI().getValue();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\SingleSelectInputControl.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */