/*     */ package com.jaspersoft.jasperserver.irplugin.wsclient;
/*     */ 
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.rmi.Remote;
/*     */ import java.util.HashSet;
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.rpc.ServiceException;
/*     */ import org.apache.axis.AxisFault;
/*     */ import org.apache.axis.EngineConfiguration;
/*     */ import org.apache.axis.client.Service;
/*     */ import org.apache.axis.client.Stub;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ManagementServiceServiceLocator
/*     */   extends Service
/*     */   implements ManagementServiceService
/*     */ {
/*     */   public ManagementServiceServiceLocator() {}
/*     */   
/*     */   public ManagementServiceServiceLocator(EngineConfiguration config)
/*     */   {
/*  41 */     super(config);
/*     */   }
/*     */   
/*     */   public ManagementServiceServiceLocator(String wsdlLoc, QName sName) throws ServiceException {
/*  45 */     super(wsdlLoc, sName);
/*     */   }
/*     */   
/*     */ 
/*  49 */   private String repository_address = "http://127.0.0.1:8080/jasperserver/services/repository";
/*     */   
/*     */   public String getrepositoryAddress() {
/*  52 */     return this.repository_address;
/*     */   }
/*     */   
/*     */ 
/*  56 */   private String repositoryWSDDServiceName = "repository";
/*     */   
/*     */   public String getrepositoryWSDDServiceName() {
/*  59 */     return this.repositoryWSDDServiceName;
/*     */   }
/*     */   
/*     */   public void setrepositoryWSDDServiceName(String name) {
/*  63 */     this.repositoryWSDDServiceName = name;
/*     */   }
/*     */   
/*     */   public ManagementService getrepository() throws ServiceException {
/*     */     URL endpoint;
/*     */     try {
/*  69 */       endpoint = new URL(this.repository_address);
/*     */     }
/*     */     catch (MalformedURLException e) {
/*  72 */       throw new ServiceException(e);
/*     */     }
/*  74 */     return getrepository(endpoint);
/*     */   }
/*     */   
/*     */   public ManagementService getrepository(URL portAddress) throws ServiceException {
/*     */     try {
/*  79 */       RepositorySoapBindingStub _stub = new RepositorySoapBindingStub(portAddress, this);
/*  80 */       _stub.setPortName(getrepositoryWSDDServiceName());
/*  81 */       return _stub;
/*     */     }
/*     */     catch (AxisFault e) {}
/*  84 */     return null;
/*     */   }
/*     */   
/*     */   public void setrepositoryEndpointAddress(String address)
/*     */   {
/*  89 */     this.repository_address = address;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public Remote getPort(Class serviceEndpointInterface)
/*     */     throws ServiceException
/*     */   {
/*     */     try
/*     */     {
/*  99 */       if (ManagementService.class.isAssignableFrom(serviceEndpointInterface)) {
/* 100 */         RepositorySoapBindingStub _stub = new RepositorySoapBindingStub(new URL(this.repository_address), this);
/* 101 */         _stub.setPortName(getrepositoryWSDDServiceName());
/* 102 */         return _stub;
/*     */       }
/*     */     }
/*     */     catch (Throwable t) {
/* 106 */       throw new ServiceException(t);
/*     */     }
/* 108 */     throw new ServiceException("There is no stub implementation for the interface:  " + (serviceEndpointInterface == null ? "null" : serviceEndpointInterface.getName()));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public Remote getPort(QName portName, Class serviceEndpointInterface)
/*     */     throws ServiceException
/*     */   {
/* 117 */     if (portName == null) {
/* 118 */       return getPort(serviceEndpointInterface);
/*     */     }
/* 120 */     String inputPortName = portName.getLocalPart();
/* 121 */     if ("repository".equals(inputPortName)) {
/* 122 */       return getrepository();
/*     */     }
/*     */     
/* 125 */     Remote _stub = getPort(serviceEndpointInterface);
/* 126 */     ((Stub)_stub).setPortName(portName);
/* 127 */     return _stub;
/*     */   }
/*     */   
/*     */   public QName getServiceName()
/*     */   {
/* 132 */     return new QName("http://127.0.0.1:8080/jasperserver/services/repository", "ManagementServiceService");
/*     */   }
/*     */   
/* 135 */   private HashSet ports = null;
/*     */   
/*     */   public Iterator getPorts() {
/* 138 */     if (this.ports == null) {
/* 139 */       this.ports = new HashSet();
/* 140 */       this.ports.add(new QName("http://127.0.0.1:8080/jasperserver/services/repository", "repository"));
/*     */     }
/* 142 */     return this.ports.iterator();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setEndpointAddress(String portName, String address)
/*     */     throws ServiceException
/*     */   {
/* 150 */     if ("repository".equals(portName)) {
/* 151 */       setrepositoryEndpointAddress(address);
/*     */     }
/*     */     else
/*     */     {
/* 155 */       throw new ServiceException(" Cannot set Endpoint Address for Unknown Port" + portName);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   public void setEndpointAddress(QName portName, String address)
/*     */     throws ServiceException
/*     */   {
/* 163 */     setEndpointAddress(portName.getLocalPart(), address);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\wsclient\ManagementServiceServiceLocator.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */