/*     */ package com.jaspersoft.jasperserver.ws.authority;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.ElementDesc;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializer;
/*     */ import org.apache.axis.encoding.ser.BeanSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class WSObjectPermission
/*     */   implements Serializable
/*     */ {
/*     */   private String uri;
/*     */   private Object permissionRecipient;
/*     */   private int permissionMask;
/*     */   
/*     */   public WSObjectPermission(String uri, Object permissionRecipient, int permissionMask)
/*     */   {
/*  48 */     this.uri = uri;
/*  49 */     this.permissionRecipient = permissionRecipient;
/*  50 */     this.permissionMask = permissionMask;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getUri()
/*     */   {
/*  60 */     return this.uri;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUri(String uri)
/*     */   {
/*  70 */     this.uri = uri;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Object getPermissionRecipient()
/*     */   {
/*  80 */     return this.permissionRecipient;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPermissionRecipient(Object permissionRecipient)
/*     */   {
/*  90 */     this.permissionRecipient = permissionRecipient;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getPermissionMask()
/*     */   {
/* 100 */     return this.permissionMask;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPermissionMask(int permissionMask)
/*     */   {
/* 110 */     this.permissionMask = permissionMask;
/*     */   }
/*     */   
/* 113 */   private Object __equalsCalc = null;
/*     */   
/* 115 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof WSObjectPermission)) return false;
/* 116 */     WSObjectPermission other = (WSObjectPermission)obj;
/* 117 */     if (obj == null) return false;
/* 118 */     if (this == obj) return true;
/* 119 */     if (this.__equalsCalc != null) {
/* 120 */       return this.__equalsCalc == obj;
/*     */     }
/* 122 */     this.__equalsCalc = obj;
/*     */     
/* 124 */     boolean _equals = ((this.uri == null) && (other.getUri() == null)) || ((this.uri != null) && (this.uri.equals(other.getUri())) && (((this.permissionRecipient == null) && (other.getPermissionRecipient() == null)) || ((this.permissionRecipient != null) && (this.permissionRecipient.equals(other.getPermissionRecipient())) && (this.permissionMask == other.getPermissionMask()))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 132 */     this.__equalsCalc = null;
/* 133 */     return _equals;
/*     */   }
/*     */   
/* 136 */   private boolean __hashCodeCalc = false;
/*     */   
/* 138 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 139 */       return 0;
/*     */     }
/* 141 */     this.__hashCodeCalc = true;
/* 142 */     int _hashCode = 1;
/* 143 */     if (getUri() != null) {
/* 144 */       _hashCode += getUri().hashCode();
/*     */     }
/* 146 */     if (getPermissionRecipient() != null) {
/* 147 */       _hashCode += getPermissionRecipient().hashCode();
/*     */     }
/* 149 */     _hashCode += getPermissionMask();
/* 150 */     this.__hashCodeCalc = false;
/* 151 */     return _hashCode;
/*     */   }
/*     */   
/*     */ 
/* 155 */   private static TypeDesc typeDesc = new TypeDesc(WSObjectPermission.class, true);
/*     */   
/*     */   static
/*     */   {
/* 159 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "WSObjectPermission"));
/* 160 */     ElementDesc elemField = new ElementDesc();
/* 161 */     elemField.setFieldName("uri");
/* 162 */     elemField.setXmlName(new QName("", "uri"));
/* 163 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "string"));
/* 164 */     elemField.setNillable(false);
/* 165 */     typeDesc.addFieldDesc(elemField);
/* 166 */     elemField = new ElementDesc();
/* 167 */     elemField.setFieldName("permissionRecipient");
/* 168 */     elemField.setXmlName(new QName("", "permissionRecipient"));
/* 169 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "anyType"));
/* 170 */     elemField.setNillable(true);
/* 171 */     typeDesc.addFieldDesc(elemField);
/* 172 */     elemField = new ElementDesc();
/* 173 */     elemField.setFieldName("permissionMask");
/* 174 */     elemField.setXmlName(new QName("", "permissionMask"));
/* 175 */     elemField.setXmlType(new QName("http://www.w3.org/2001/XMLSchema", "int"));
/* 176 */     elemField.setNillable(false);
/* 177 */     typeDesc.addFieldDesc(elemField);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 184 */     return typeDesc;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 194 */     return new BeanSerializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/* 206 */     return new BeanDeserializer(_javaType, _xmlType, typeDesc);
/*     */   }
/*     */   
/*     */   public WSObjectPermission() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\authority\WSObjectPermission.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */