/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.ReportJobTriggerIntervalUnitXmlAdapter.IntervalUnit;
/*     */ import java.io.ObjectStreamException;
/*     */ import java.io.Serializable;
/*     */ import java.util.HashMap;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.description.TypeDesc;
/*     */ import org.apache.axis.encoding.Deserializer;
/*     */ import org.apache.axis.encoding.Serializer;
/*     */ import org.apache.axis.encoding.ser.EnumDeserializer;
/*     */ import org.apache.axis.encoding.ser.EnumSerializer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class IntervalUnit
/*     */   implements Serializable
/*     */ {
/*     */   private String value;
/*  34 */   private static HashMap table = new HashMap();
/*     */   
/*     */   protected IntervalUnit(String value)
/*     */   {
/*  38 */     this.value = value;
/*  39 */     table.put(this.value, this);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  46 */   public static final String _MINUTE = ReportJobTriggerIntervalUnitXmlAdapter.IntervalUnit.MINUTE.name();
/*  47 */   public static final String _HOUR = ReportJobTriggerIntervalUnitXmlAdapter.IntervalUnit.HOUR.name();
/*  48 */   public static final String _DAY = ReportJobTriggerIntervalUnitXmlAdapter.IntervalUnit.DAY.name();
/*  49 */   public static final String _WEEK = ReportJobTriggerIntervalUnitXmlAdapter.IntervalUnit.WEEK.name();
/*  50 */   public static final IntervalUnit MINUTE = new IntervalUnit(_MINUTE);
/*  51 */   public static final IntervalUnit HOUR = new IntervalUnit(_HOUR);
/*  52 */   public static final IntervalUnit DAY = new IntervalUnit(_DAY);
/*  53 */   public static final IntervalUnit WEEK = new IntervalUnit(_WEEK);
/*     */   
/*     */   public String getValue() {
/*  56 */     return this.value;
/*     */   }
/*     */   
/*     */   public void setValue(String value) {
/*  60 */     this.value = value;
/*     */   }
/*     */   
/*     */   public static IntervalUnit fromValue(String value) throws IllegalArgumentException
/*     */   {
/*  65 */     IntervalUnit enumeration = (IntervalUnit)table.get(value);
/*     */     
/*  67 */     if (enumeration == null) throw new IllegalArgumentException();
/*  68 */     return enumeration;
/*     */   }
/*     */   
/*     */ 
/*  72 */   public static IntervalUnit fromString(String value) throws IllegalArgumentException { return fromValue(value); }
/*     */   
/*  74 */   public boolean equals(Object obj) { return obj == this; }
/*  75 */   public int hashCode() { return toString().hashCode(); }
/*  76 */   public String toString() { return this.value; }
/*  77 */   public Object readResolve() throws ObjectStreamException { return fromValue(this.value); }
/*     */   
/*     */ 
/*     */   public static Serializer getSerializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/*  82 */     return new EnumSerializer(_javaType, _xmlType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public static Deserializer getDeserializer(String mechType, Class _javaType, QName _xmlType)
/*     */   {
/*  90 */     return new EnumDeserializer(_javaType, _xmlType);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*  95 */   private static TypeDesc typeDesc = new TypeDesc(IntervalUnit.class);
/*     */   
/*     */   static
/*     */   {
/*  99 */     typeDesc.setXmlType(new QName("http://www.jasperforge.org/jasperserver/ws", "IntervalUnit"));
/*     */   }
/*     */   
/*     */ 
/*     */   public static TypeDesc getTypeDesc()
/*     */   {
/* 105 */     return typeDesc;
/*     */   }
/*     */   
/*     */   protected IntervalUnit() {}
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\IntervalUnit.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */